<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Room Children Status Codes.
 *
 * @package    Membership Database
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_Room_Children extends StaticList {
	protected function _table() {
		// Lowercase items can be seleted by users
		// Upper case items can only be selected by Staff
		return array(
			'A'=>_('Absent NoShow'),
			'a'=>_('Absent Notice'),
			'C'=>_('Casual Placement'),
			'c'=>_('Casual Request'),
			'r'=>_('Reduce Days'),
			'P'=>_('Permanent'),
			'w'=>_('Waitlist'),
		);
	}

	public static function get($value) {
		return self::factory()->_get($value);
	}
}
?>
