<fieldset>
	<legend>Register Child</legend>

	<?php echo Form::hidden('child_id',$o->id); ?>

	<div class="form-group">
		<label class="col-md-2 control-label" for="Title">Name</label>
		<div class="row">
			<div class="col-md-2">
				<?php echo Form::input('first_name',$o->display('first_name'),array('class'=>'form-control','placeholder'=>'First Name','required','nocg'=>TRUE)); ?>
			</div>
			<div class="col-md-3">
				<?php echo Form::input('family_name',$o->display('family_name'),array('class'=>'form-control','placeholder'=>'Family Name','required','nocg'=>TRUE)); ?>
			</div>
		</div>
	</div>

	<div class="form-group">
		<label class="col-md-2 control-label" for="Title">DOB</label>
		<div class="col-md-2">
			<div class="input-group date" id="dob" data-date-format="dd-mm-yyyy" data-provide="datepicker" data-date-start-view="year" data-date-calendar-weeks="true" data-date-autoclose="true" data-date-today-highlight="true" data-date-end-date="0d">
				<?php echo Form::input('dob',$o->display('dob'),array('class'=>'form-control','placeholder'=>'DOB','required','nocg'=>TRUE,'readonly')); ?>
				<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
			</div>
		</div>
		<div class="col-md-3">
			Age: <strong><div id="age" style="display: inline;"><?php echo $o->dob ? $o->age() : ''; ?></div></strong><br/>
		</div>
	</div>

	<div class="form-group">
		<label class="col-md-2 control-label" for="Title">Member Days</label>
		<div class="col-md-10">
			<table class="table-bordered" name="room">
				<thead>
				<tr>
					<th class="col-md-2">Room</th>
					<th class="col-md-2">P/C/W</th>
					<?php foreach ($so->open_days() as $d => $open) : ?>
						<th class="text-center" style="width: 3em;"><?php echo substr(StaticList_Day::get($d),0,2); ?></th>
					<?php endforeach ?>
					<th class="text-center">Start Date</th>
					<th class="text-center">End Date</th>
				</tr>
				</thead>

				<tbody>
					<?php $x=0;foreach ($o->subitems() as $rco) echo View::factory('child/user/add_roomrow')->set('o',$o)->set('so',$so)->set('rco',$rco)->set('row',$x++)->set('type',$rco->code); ?>
				</tbody>
			</table>
			<br/>
			<button type="button" name="add" class="btn btn-sm btn-default" value="a">Advise Absent Notice</button>
			<button type="button" name="add" class="btn btn-sm btn-default" value="c">Request Casual Days</button>
			<button type="button" name="add" class="btn btn-sm btn-default" value="r">Reduce Days</button>
			<button type="button" name="add" class="btn btn-sm btn-default" value="w">Waitlist Additional Days</button>
		</div>
	</div>
</fieldset>

<div class="row">
	<div class="col-md-offset-1">
		<button type="submit" class="btn btn-primary">Save changes</button>
		<button type="button" class="btn btn-default">Cancel</button>
	</div>
</div>
